Skip to main content
`Ctrl`+`K`

# poisson

astropy.uncertainty.poisson(center, n_samples, cls=<class 'astropy.uncertainty.core.Distribution'>, **kwargs)

  Create a Poisson distribution.

  Parameters:
    center `Quantity`

      The center value of this distribution (i.e., λ).

    n_samples `python:int`

      The number of Monte Carlo samples to use with this distribution

    cls class

      The class to use to create this distribution. Typically a `Distribution` subclass.

    Remaining keywords are passed into the constructor of the ``cls``
  Returns:
    distr `Distribution` or `object`

      The sampled Poisson distribution. The type will be the same as the parameter `cls`.